How to Install Newest LAMP on CentOS 7 Minimal (3/3) - PHP

In order to get the newest version of PHP (e.g. 5.5 or 5.6) from REMI repository which depends on EPEL, we need to install both EPEL and REMI repositories in advance.

  1. Install EPEL repository.
  2. [root@primary01 ~]# rpm -Uvh http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-2.noarch.rpm
    Retrieving http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-2.noarch.rpm
    warning: /var/tmp/rpm-tmp.5BP6IN: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:epel-release-7-2                 ################################# [100%]
  3. Install REMI repository.
  4. [root@primary01 ~]# rpm -Uvh http://rpms.famillecollet.com/enterprise/remi-release-7.rpm
    Retrieving http://rpms.famillecollet.com/enterprise/remi-release-7.rpm
    warning: /var/tmp/rpm-tmp.VOJ99M: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:remi-release-7.0-1.el7.remi      ################################# [100%]
  5. Check the version of PHP that we're gonna to have.
  6. If you'd like to check PHP 5.6, please change "remi-php55" into "remi-php56" in the command line.

    [root@primary01 ~]# yum --enablerepo=remi-php55 info php php-gd php-pdo php-mysqlnd php-pear php-xml php-mcrypt php-pecl-geoip
    Loaded plugins: fastestmirror
    epel/x86_64/metalink                                     | 5.6 kB     00:00
    epel                                                     | 4.4 kB     00:00
    remi-php55                                               | 2.9 kB     00:00
    (1/3): epel/x86_64/group_gz                                | 250 kB   00:01
    (2/3): remi-php55/primary_db                               | 139 kB   00:03
    (3/3): epel/x86_64/primary_db                              | 3.5 MB   00:09
    (1/2): epel/x86_64/updateinfo                              | 130 kB   00:01
    (2/2): epel/x86_64/pkgtags                                 | 1.3 MB   00:04
    Loading mirror speeds from cached hostfile
     * base: ftp.nsysu.edu.tw
     * epel: mirror01.idc.hinet.net
     * extras: mirror01.idc.hinet.net
     * remi-php55: remi.kazukioishi.net
     * updates: mirror01.idc.hinet.net
    Available Packages
    Name        : php
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 2.6 M
    Repo        : remi-php55
    Summary     : PHP scripting language for creating dynamic web sites
    URL         : http://www.php.net/
    License     : PHP and Zend and BSD
    Description : PHP is an HTML-embedded scripting language. PHP attempts to make
                : it easy for developers to write dynamically generated web pages.
                : PHP also offers built-in database integration for several
                : commercial and non-commercial database management systems, so
                : writing a database-enabled webpage with PHP is fairly simple. The
                : most common use of PHP coding is probably as a replacement for CGI
                : scripts.
                :
                : The php package contains the module (often referred to as mod_php)
                : which adds support for the PHP language to Apache HTTP Server.

    Name        : php-gd
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 76 k
    Repo        : remi-php55
    Summary     : A module for PHP applications for using the gd graphics library
    URL         : http://www.php.net/
    License     : PHP
    Description : The php-gd package contains a dynamic shared object that will add
                : support for using the gd graphics library to PHP.

    Name        : php-mcrypt
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 45 k
    Repo        : remi-php55
    Summary     : Standard PHP module provides mcrypt library support
    URL         : http://www.php.net/
    License     : PHP
    Description : The php-mcrypt package contains a dynamic shared object that will
                : add support for using the mcrypt library to PHP.

    Name        : php-mysqlnd
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 281 k
    Repo        : remi-php55
    Summary     : A module for PHP applications that use MySQL databases
    URL         : http://www.php.net/
    License     : PHP
    Description : The php-mysqlnd package contains a dynamic shared object that will
                : add MySQL database support to PHP. MySQL is an object-relational
                : database management system. PHP is an HTML-embeddable scripting
                : language. If you need MySQL support for PHP applications, you will
                : need to install this package and the php package.
                :
                : This package use the MySQL Native Driver

    Name        : php-pdo
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 129 k
    Repo        : remi-php55
    Summary     : A database access abstraction module for PHP applications
    URL         : http://www.php.net/
    License     : PHP
    Description : The php-pdo package contains a dynamic shared object that will add
                : a database access abstraction layer to PHP.  This module provides
                : a common interface for accessing MySQL, PostgreSQL or other
                : databases.

    Name        : php-pear
    Arch        : noarch
    Epoch       : 1
    Version     : 1.9.4
    Release     : 21.el7
    Size        : 357 k
    Repo        : base/7/x86_64
    Summary     : PHP Extension and Application Repository framework
    URL         : http://pear.php.net/package/PEAR
    License     : BSD and PHP and LGPLv2+
    Description : PEAR is a framework and distribution system for reusable PHP
                : components.  This package contains the basic PEAR components.

    Name        : php-pecl-geoip
    Arch        : x86_64
    Version     : 1.0.8
    Release     : 8.el7.remi.5.5
    Size        : 24 k
    Repo        : remi-php55
    Summary     : Extension to map IP addresses to geographic places
    URL         : http://pecl.php.net/package/geoip
    License     : PHP
    Description : This PHP extension allows you to find the location of an IP
                : address City, State, Country, Longitude, Latitude, and other
                : information as all, such as ISP and connection type. It makes use
                : of Maxminds geoip database

    Name        : php-xml
    Arch        : x86_64
    Version     : 5.5.18
    Release     : 1.el7.remi
    Size        : 233 k
    Repo        : remi-php55
    Summary     : A module for PHP applications which use XML
    URL         : http://www.php.net/
    License     : PHP
    Description : The php-xml package contains dynamic shared objects which add
                : support to PHP for manipulating XML documents using the DOM tree,
                : and performing XSL transformations on XML documents.
  7. Begin to install PHP 5.5.15 which is the newest release of 5.5 at this moment.
  8. Please notice that we also enabled "remi" repository to get complete dependencies of packages.

    In our case, we choose the stable version of PHP 5.5 rather than the developing version 5.6. If you'd like to install PHP 5.6, please change "remi-php55" into "remi-php56" in the command line.

    [root@primary01 ~]# yum -y --enablerepo=remi,remi-php55 install php php-gd php-pdo php-mysqlnd php-pear php-xml php-mcrypt php-pecl-geoip
    Loaded plugins: fastestmirror
    remi                                                     | 2.9 kB     00:00
    remi/primary_db                                            | 750 kB   00:05
    Loading mirror speeds from cached hostfile
     * base: ftp.nsysu.edu.tw
     * epel: mirror01.idc.hinet.net
     * extras: mirror01.idc.hinet.net
     * remi: remi.kazukioishi.net
     * remi-php55: remi.kazukioishi.net
     * updates: mirror01.idc.hinet.net
    Resolving Dependencies
    --> Running transaction check
    ---> Package php.x86_64 0:5.5.18-1.el7.remi will be installed
    --> Processing Dependency: php-common(x86-64) = 5.5.18-1.el7.remi for package: php-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: php-cli(x86-64) = 5.5.18-1.el7.remi for package: php-5.5.18-1.el7.remi.x86_64
    ---> Package php-gd.x86_64 0:5.5.18-1.el7.remi will be installed
    --> Processing Dependency: gd-last(x86-64) >= 2.1.0-3 for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libvpx.so.1()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libt1.so.5()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libpng15.so.15()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libjpeg.so.62()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libgd.so.3()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libXpm.so.4()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libX11.so.6()(64bit) for package: php-gd-5.5.18-1.el7.remi.x86_64
    ---> Package php-mcrypt.x86_64 0:5.5.18-1.el7.remi will be installed
    --> Processing Dependency: libmcrypt.so.4()(64bit) for package: php-mcrypt-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libltdl.so.7()(64bit) for package: php-mcrypt-5.5.18-1.el7.remi.x86_64
    ---> Package php-mysqlnd.x86_64 0:5.5.18-1.el7.remi will be installed
    ---> Package php-pdo.x86_64 0:5.5.18-1.el7.remi will be installed
    ---> Package php-pear.noarch 1:1.9.5-3.el7.remi will be installed
    --> Processing Dependency: php-posix for package: 1:php-pear-1.9.5-3.el7.remi.noarch
    ---> Package php-pecl-geoip.x86_64 0:1.0.8-8.el7.remi.5.5 will be installed
    --> Processing Dependency: libGeoIP.so.1()(64bit) for package: php-pecl-geoip-1.0.8-8.el7.remi.5.5.x86_64
    ---> Package php-xml.x86_64 0:5.5.18-1.el7.remi will be installed
    --> Processing Dependency: libxslt.so.1(LIBXML2_1.0.24)(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libxslt.so.1(LIBXML2_1.0.22)(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libxslt.so.1(LIBXML2_1.0.18)(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libxslt.so.1(LIBXML2_1.0.13)(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libxslt.so.1(LIBXML2_1.0.11)(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libxslt.so.1()(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: libexslt.so.0()(64bit) for package: php-xml-5.5.18-1.el7.remi.x86_64
    --> Running transaction check
    ---> Package GeoIP.x86_64 0:1.5.0-9.el7 will be installed
    ---> Package gd-last.x86_64 0:2.1.0-3.el7.remi will be installed
    --> Processing Dependency: libtiff.so.5(LIBTIFF_4.0)(64bit) for package: gd-last-2.1.0-3.el7.remi.x86_64
    --> Processing Dependency: libtiff.so.5()(64bit) for package: gd-last-2.1.0-3.el7.remi.x86_64
    --> Processing Dependency: libfontconfig.so.1()(64bit) for package: gd-last-2.1.0-3.el7.remi.x86_64
    ---> Package libX11.x86_64 0:1.6.0-2.1.el7 will be installed
    --> Processing Dependency: libX11-common = 1.6.0-2.1.el7 for package: libX11-1.6.0-2.1.el7.x86_64
    --> Processing Dependency: libxcb.so.1()(64bit) for package: libX11-1.6.0-2.1.el7.x86_64
    ---> Package libXpm.x86_64 0:3.5.10-5.1.el7 will be installed
    ---> Package libjpeg-turbo.x86_64 0:1.2.90-5.el7 will be installed
    ---> Package libmcrypt.x86_64 0:2.5.8-13.el7 will be installed
    ---> Package libpng.x86_64 2:1.5.13-5.el7 will be installed
    ---> Package libtool-ltdl.x86_64 0:2.4.2-20.el7 will be installed
    ---> Package libvpx.x86_64 0:1.3.0-5.el7_0 will be installed
    ---> Package libxslt.x86_64 0:1.1.28-5.el7 will be installed
    ---> Package php-cli.x86_64 0:5.5.18-1.el7.remi will be installed
    ---> Package php-common.x86_64 0:5.5.18-1.el7.remi will be installed
    --> Processing Dependency: php-pecl-zip(x86-64) for package: php-common-5.5.18-1.el7.remi.x86_64
    --> Processing Dependency: php-pecl-jsonc(x86-64) for package: php-common-5.5.18-1.el7.remi.x86_64
    ---> Package php-process.x86_64 0:5.5.18-1.el7.remi will be installed
    ---> Package t1lib.x86_64 0:5.1.2-14.el7 will be installed
    --> Running transaction check
    ---> Package fontconfig.x86_64 0:2.10.95-7.el7 will be installed
    --> Processing Dependency: fontpackages-filesystem for package: fontconfig-2.10.95-7.el7.x86_64
    ---> Package libX11-common.noarch 0:1.6.0-2.1.el7 will be installed
    ---> Package libtiff.x86_64 0:4.0.3-14.el7 will be installed
    --> Processing Dependency: libjbig.so.2.0()(64bit) for package: libtiff-4.0.3-14.el7.x86_64
    ---> Package libxcb.x86_64 0:1.9-5.el7 will be installed
    --> Processing Dependency: libXau.so.6()(64bit) for package: libxcb-1.9-5.el7.x86_64
    ---> Package php-pecl-jsonc.x86_64 0:1.3.6-1.el7.remi.5.5.1 will be installed
    ---> Package php-pecl-zip.x86_64 0:1.12.4-2.el7.remi.5.5 will be installed
    --> Running transaction check
    ---> Package fontpackages-filesystem.noarch 0:1.44-8.el7 will be installed
    ---> Package jbigkit-libs.x86_64 0:2.0-11.el7 will be installed
    ---> Package libXau.x86_64 0:1.0.8-2.1.el7 will be installed
    --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
     Package                   Arch     Version                  Repository    Size
    ================================================================================
    Installing:
     php                       x86_64   5.5.18-1.el7.remi        remi-php55   2.6 M
     php-gd                    x86_64   5.5.18-1.el7.remi        remi-php55    76 k
     php-mcrypt                x86_64   5.5.18-1.el7.remi        remi-php55    45 k
     php-mysqlnd               x86_64   5.5.18-1.el7.remi        remi-php55   281 k
     php-pdo                   x86_64   5.5.18-1.el7.remi        remi-php55   129 k
     php-pear                  noarch   1:1.9.5-3.el7.remi       remi         360 k
     php-pecl-geoip            x86_64   1.0.8-8.el7.remi.5.5     remi-php55    24 k
     php-xml                   x86_64   5.5.18-1.el7.remi        remi-php55   233 k
    Installing for dependencies:
     GeoIP                     x86_64   1.5.0-9.el7              base         709 k
     fontconfig                x86_64   2.10.95-7.el7            base         228 k
     fontpackages-filesystem   noarch   1.44-8.el7               base         9.9 k
     gd-last                   x86_64   2.1.0-3.el7.remi         remi         138 k
     jbigkit-libs              x86_64   2.0-11.el7               base          46 k
     libX11                    x86_64   1.6.0-2.1.el7            base         605 k
     libX11-common             noarch   1.6.0-2.1.el7            base         181 k
     libXau                    x86_64   1.0.8-2.1.el7            base          29 k
     libXpm                    x86_64   3.5.10-5.1.el7           base          52 k
     libjpeg-turbo             x86_64   1.2.90-5.el7             base         134 k
     libmcrypt                 x86_64   2.5.8-13.el7             epel          99 k
     libpng                    x86_64   2:1.5.13-5.el7           base         212 k
     libtiff                   x86_64   4.0.3-14.el7             base         167 k
     libtool-ltdl              x86_64   2.4.2-20.el7             base          49 k
     libvpx                    x86_64   1.3.0-5.el7_0            updates      498 k
     libxcb                    x86_64   1.9-5.el7                base         169 k
     libxslt                   x86_64   1.1.28-5.el7             base         242 k
     php-cli                   x86_64   5.5.18-1.el7.remi        remi-php55   3.9 M
     php-common                x86_64   5.5.18-1.el7.remi        remi-php55   1.0 M
     php-pecl-jsonc            x86_64   1.3.6-1.el7.remi.5.5.1   remi-php55    52 k
     php-pecl-zip              x86_64   1.12.4-2.el7.remi.5.5    remi-php55   277 k
     php-process               x86_64   5.5.18-1.el7.remi        remi-php55    65 k
     t1lib                     x86_64   5.1.2-14.el7             base         166 k

    Transaction Summary
    ================================================================================
    Install  8 Packages (+23 Dependent packages)

    Total download size: 13 M
    Installed size: 45 M
    Downloading packages:
    (1/31): fontpackages-filesystem-1.44-8.el7.noarch.rpm      | 9.9 kB   00:01
    warning: /var/cache/yum/x86_64/7/remi/packages/gd-last-2.1.0-3.el7.remi.x86_64.rpm: Header V3 DSA/SHA1 Signature, key ID 00f97f56: NOKEY
    Public key for gd-last-2.1.0-3.el7.remi.x86_64.rpm is not installed
    (2/31): gd-last-2.1.0-3.el7.remi.x86_64.rpm                | 138 kB   00:01
    (3/31): fontconfig-2.10.95-7.el7.x86_64.rpm                | 228 kB   00:02
    (4/31): jbigkit-libs-2.0-11.el7.x86_64.rpm                 |  46 kB   00:02
    (5/31): libXau-1.0.8-2.1.el7.x86_64.rpm                    |  29 kB   00:00
    (6/31): libXpm-3.5.10-5.1.el7.x86_64.rpm                   |  52 kB   00:01
    (7/31): GeoIP-1.5.0-9.el7.x86_64.rpm                       | 709 kB   00:05
    (8/31): libjpeg-turbo-1.2.90-5.el7.x86_64.rpm              | 134 kB   00:01
    (9/31): libX11-common-1.6.0-2.1.el7.noarch.rpm             | 181 kB   00:02
    (10/31): libX11-1.6.0-2.1.el7.x86_64.rpm                   | 605 kB   00:04
    (11/31): libtiff-4.0.3-14.el7.x86_64.rpm                   | 167 kB   00:01
    (12/31): libpng-1.5.13-5.el7.x86_64.rpm                    | 212 kB   00:01
    (13/31): libtool-ltdl-2.4.2-20.el7.x86_64.rpm              |  49 kB   00:01
    (14/31): libxcb-1.9-5.el7.x86_64.rpm                       | 169 kB   00:00
    warning: /var/cache/yum/x86_64/7/epel/packages/libmcrypt-2.5.8-13.el7.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID 352c64e5: NOKEY
    Public key for libmcrypt-2.5.8-13.el7.x86_64.rpm is not installed
    (15/31): libmcrypt-2.5.8-13.el7.x86_64.rpm                 |  99 kB   00:02
    (16/31): libxslt-1.1.28-5.el7.x86_64.rpm                   | 242 kB   00:01
    (17/31): libvpx-1.3.0-5.el7_0.x86_64.rpm                   | 498 kB   00:03
    Public key for php-gd-5.5.18-1.el7.remi.x86_64.rpm is not installed   00:16 ETA
    (18/31): php-gd-5.5.18-1.el7.remi.x86_64.rpm               |  76 kB   00:04
    (19/31): php-mcrypt-5.5.18-1.el7.remi.x86_64.rpm           |  45 kB   00:04
    (20/31): php-5.5.18-1.el7.remi.x86_64.rpm                  | 2.6 MB   00:08
    (21/31): php-mysqlnd-5.5.18-1.el7.remi.x86_64.rpm          | 281 kB   00:03
    (22/31): php-pecl-geoip-1.0.8-8.el7.remi.5.5.x86_64.rpm    |  24 kB   00:00
    (23/31): php-pecl-jsonc-1.3.6-1.el7.remi.5.5.1.x86_64.rpm  |  52 kB   00:00
    (24/31): php-pdo-5.5.18-1.el7.remi.x86_64.rpm              | 129 kB   00:02
    (25/31): php-pecl-zip-1.12.4-2.el7.remi.5.5.x86_64.rpm     | 277 kB   00:00
    (26/31): php-process-5.5.18-1.el7.remi.x86_64.rpm          |  65 kB   00:01
    (27/31): php-xml-5.5.18-1.el7.remi.x86_64.rpm              | 233 kB   00:01
    (28/31): t1lib-5.1.2-14.el7.x86_64.rpm                     | 166 kB   00:01
    (29/31): php-pear-1.9.5-3.el7.remi.noarch.rpm              | 360 kB   00:06
    (30/31): php-common-5.5.18-1.el7.remi.x86_64.rpm           | 1.0 MB   00:45
    (31/31): php-cli-5.5.18-1.el7.remi.x86_64.rpm              | 3.9 MB   01:14
    --------------------------------------------------------------------------------
    Total                                              157 kB/s |  13 MB  01:22
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-remi
    Importing GPG key 0x00F97F56:
     Userid     : "Remi Collet <RPMS@FamilleCollet.com>"
     Fingerprint: 1ee0 4cce 88a4 ae4a a29a 5df5 004e 6f47 00f9 7f56
     Package    : remi-release-7.0-1.el7.remi.noarch (installed)
     From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-remi
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    Importing GPG key 0x352C64E5:
     Userid     : "Fedora EPEL (7) <epel@fedoraproject.org>"
     Fingerprint: 91e9 7d7c 4a5e 96f1 7f3e 888f 6a2f aea2 352c 64e5
     Package    : epel-release-7-2.noarch (installed)
     From       : /etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
    Running transaction check
    Running transaction test
    Transaction test succeeded
    Running transaction
    Warning: RPMDB altered outside of yum.
      Installing : libjpeg-turbo-1.2.90-5.el7.x86_64                           1/31
      Installing : libvpx-1.3.0-5.el7_0.x86_64                                 2/31
      Installing : 2:libpng-1.5.13-5.el7.x86_64                                3/31
      Installing : libXau-1.0.8-2.1.el7.x86_64                                 4/31
      Installing : libxcb-1.9-5.el7.x86_64                                     5/31
      Installing : jbigkit-libs-2.0-11.el7.x86_64                              6/31
      Installing : libtiff-4.0.3-14.el7.x86_64                                 7/31
      Installing : libxslt-1.1.28-5.el7.x86_64                                 8/31
      Installing : php-process-5.5.18-1.el7.remi.x86_64                        9/31
      Installing : php-xml-5.5.18-1.el7.remi.x86_64                           10/31
      Installing : php-cli-5.5.18-1.el7.remi.x86_64                           11/31

    WARNING : These php-* RPM are not official Fedora / Red Hat build and
    overrides the official ones. Don't file bugs on Fedora Project nor Red Hat.

    Use dedicated forums http://forums.famillecollet.com/

      Installing : php-common-5.5.18-1.el7.remi.x86_64                        12/31
      Installing : 1:php-pear-1.9.5-3.el7.remi.noarch                         13/31
      Installing : php-pecl-jsonc-1.3.6-1.el7.remi.5.5.1.x86_64               14/31
      Installing : php-pecl-zip-1.12.4-2.el7.remi.5.5.x86_64                  15/31
      Installing : php-pdo-5.5.18-1.el7.remi.x86_64                           16/31
      Installing : GeoIP-1.5.0-9.el7.x86_64                                   17/31
      Installing : fontpackages-filesystem-1.44-8.el7.noarch                  18/31
      Installing : fontconfig-2.10.95-7.el7.x86_64                            19/31
      Installing : libmcrypt-2.5.8-13.el7.x86_64                              20/31
      Installing : libtool-ltdl-2.4.2-20.el7.x86_64                           21/31
      Installing : libX11-common-1.6.0-2.1.el7.noarch                         22/31
      Installing : libX11-1.6.0-2.1.el7.x86_64                                23/31
      Installing : libXpm-3.5.10-5.1.el7.x86_64                               24/31
      Installing : gd-last-2.1.0-3.el7.remi.x86_64                            25/31
      Installing : t1lib-5.1.2-14.el7.x86_64                                  26/31
      Installing : php-gd-5.5.18-1.el7.remi.x86_64                            27/31
      Installing : php-mcrypt-5.5.18-1.el7.remi.x86_64                        28/31
      Installing : php-pecl-geoip-1.0.8-8.el7.remi.5.5.x86_64                 29/31
      Installing : php-mysqlnd-5.5.18-1.el7.remi.x86_64                       30/31
      Installing : php-5.5.18-1.el7.remi.x86_64                               31/31
      Verifying  : libjpeg-turbo-1.2.90-5.el7.x86_64                           1/31
      Verifying  : libX11-common-1.6.0-2.1.el7.noarch                          2/31
      Verifying  : libtool-ltdl-2.4.2-20.el7.x86_64                            3/31
      Verifying  : php-cli-5.5.18-1.el7.remi.x86_64                            4/31
      Verifying  : fontconfig-2.10.95-7.el7.x86_64                             5/31
      Verifying  : libXpm-3.5.10-5.1.el7.x86_64                                6/31
      Verifying  : php-pecl-jsonc-1.3.6-1.el7.remi.5.5.1.x86_64                7/31
      Verifying  : libmcrypt-2.5.8-13.el7.x86_64                               8/31
      Verifying  : fontpackages-filesystem-1.44-8.el7.noarch                   9/31
      Verifying  : libtiff-4.0.3-14.el7.x86_64                                10/31
      Verifying  : GeoIP-1.5.0-9.el7.x86_64                                   11/31
      Verifying  : php-pdo-5.5.18-1.el7.remi.x86_64                           12/31
      Verifying  : 2:libpng-1.5.13-5.el7.x86_64                               13/31
      Verifying  : php-common-5.5.18-1.el7.remi.x86_64                        14/31
      Verifying  : php-pecl-zip-1.12.4-2.el7.remi.5.5.x86_64                  15/31
      Verifying  : gd-last-2.1.0-3.el7.remi.x86_64                            16/31
      Verifying  : libxcb-1.9-5.el7.x86_64                                    17/31
      Verifying  : t1lib-5.1.2-14.el7.x86_64                                  18/31
      Verifying  : libxslt-1.1.28-5.el7.x86_64                                19/31
      Verifying  : php-process-5.5.18-1.el7.remi.x86_64                       20/31
      Verifying  : php-xml-5.5.18-1.el7.remi.x86_64                           21/31
      Verifying  : libX11-1.6.0-2.1.el7.x86_64                                22/31
      Verifying  : jbigkit-libs-2.0-11.el7.x86_64                             23/31
      Verifying  : php-5.5.18-1.el7.remi.x86_64                               24/31
      Verifying  : php-mysqlnd-5.5.18-1.el7.remi.x86_64                       25/31
      Verifying  : php-mcrypt-5.5.18-1.el7.remi.x86_64                        26/31
      Verifying  : libXau-1.0.8-2.1.el7.x86_64                                27/31
      Verifying  : php-gd-5.5.18-1.el7.remi.x86_64                            28/31
      Verifying  : php-pecl-geoip-1.0.8-8.el7.remi.5.5.x86_64                 29/31
      Verifying  : 1:php-pear-1.9.5-3.el7.remi.noarch                         30/31
      Verifying  : libvpx-1.3.0-5.el7_0.x86_64                                31/31

    Installed:
      php.x86_64 0:5.5.18-1.el7.remi
      php-gd.x86_64 0:5.5.18-1.el7.remi
      php-mcrypt.x86_64 0:5.5.18-1.el7.remi
      php-mysqlnd.x86_64 0:5.5.18-1.el7.remi
      php-pdo.x86_64 0:5.5.18-1.el7.remi
      php-pear.noarch 1:1.9.5-3.el7.remi
      php-pecl-geoip.x86_64 0:1.0.8-8.el7.remi.5.5
      php-xml.x86_64 0:5.5.18-1.el7.remi

    Dependency Installed:
      GeoIP.x86_64 0:1.5.0-9.el7
      fontconfig.x86_64 0:2.10.95-7.el7
      fontpackages-filesystem.noarch 0:1.44-8.el7
      gd-last.x86_64 0:2.1.0-3.el7.remi
      jbigkit-libs.x86_64 0:2.0-11.el7
      libX11.x86_64 0:1.6.0-2.1.el7
      libX11-common.noarch 0:1.6.0-2.1.el7
      libXau.x86_64 0:1.0.8-2.1.el7
      libXpm.x86_64 0:3.5.10-5.1.el7
      libjpeg-turbo.x86_64 0:1.2.90-5.el7
      libmcrypt.x86_64 0:2.5.8-13.el7
      libpng.x86_64 2:1.5.13-5.el7
      libtiff.x86_64 0:4.0.3-14.el7
      libtool-ltdl.x86_64 0:2.4.2-20.el7
      libvpx.x86_64 0:1.3.0-5.el7_0
      libxcb.x86_64 0:1.9-5.el7
      libxslt.x86_64 0:1.1.28-5.el7
      php-cli.x86_64 0:5.5.18-1.el7.remi
      php-common.x86_64 0:5.5.18-1.el7.remi
      php-pecl-jsonc.x86_64 0:1.3.6-1.el7.remi.5.5.1
      php-pecl-zip.x86_64 0:1.12.4-2.el7.remi.5.5
      php-process.x86_64 0:5.5.18-1.el7.remi
      t1lib.x86_64 0:5.1.2-14.el7

    Complete!

    You don't have to install php-pecl-geoip if you have no requirements on locating your clients. On the other hand, you need php-mbstring for multi-bytes languages.

  9. Check what have installed on our server.
  10. [root@primary01 ~]# rpm -qa | grep php
    php-process-5.5.18-1.el7.remi.x86_64
    php-cli-5.5.18-1.el7.remi.x86_64
    php-pear-1.9.5-3.el7.remi.noarch
    php-pecl-zip-1.12.4-2.el7.remi.5.5.x86_64
    php-gd-5.5.18-1.el7.remi.x86_64
    php-pecl-geoip-1.0.8-8.el7.remi.5.5.x86_64
    php-5.5.18-1.el7.remi.x86_64
    php-xml-5.5.18-1.el7.remi.x86_64
    php-common-5.5.18-1.el7.remi.x86_64
    php-pecl-jsonc-1.3.6-1.el7.remi.5.5.1.x86_64
    php-pdo-5.5.18-1.el7.remi.x86_64
    php-mcrypt-5.5.18-1.el7.remi.x86_64
    php-mysqlnd-5.5.18-1.el7.remi.x86_64

Now, we have the newest packages of PHP on CentOS 7.

Leave a Reply

Your email address will not be published. Required fields are marked *